%define tallocmajor      2
%define libtalloc        %mklibname talloc %{tallocmajor}
%define tallocdevel      %mklibname talloc -d

%define pytallocmajor    2
%define libpytalloc      %mklibname pytalloc-util %{pytallocmajor}
%define libpytallocdevel %mklibname pytalloc-util -d

Name: talloc
Version: 3.6.3
Release: %mkrel 1
Summary: Library implementing Samba's memory allocator
License: GPLv3
Group: System/Libraries
URL: https://talloc.samba.org/
Source: https://talloc.samba.org/ftp/talloc/talloc-2.3.4.tar.xz

BuildRequires: acl-devel
BuildRequires: xsltproc
BuildRequires: docbook-style-xsl
BuildRequires: pkgconfig(python3)
BuildRequires: gnupg2

%description
Library implementing Samba's memory allocator.

%package -n %{libtalloc}
Group: System/Libraries
Summary: Library implementing Samba's memory allocator

%description -n %{libtalloc}
Library implementing Samba's memory allocator.

%package -n %{tallocdevel}
Group: Development/Libraries
Summary: Library implementing Samba's memory allocator
Provides: talloc-devel = %{version}-%{release}
Requires: %{libtalloc} = %{version}-%{release}
BuildRequires: swig

%description -n %{tallocdevel}
Library implementing Samba's memory allocator.

%package -n python3-talloc
Group: Development/Python
Summary: Python 3 module for Samba's talloc memory allocator
%{?python_provide:%python_provide python3-talloc}

%description -n python3-talloc
Python 3 module for Samba's talloc memory allocator.

%package -n %{libpytalloc}
Group: Development/Python
Summary: Utility functions for using talloc objects with Python 3
#fake provides for easy upgrade
Provides: libpytalloc-util.so.2()(64bit)
Provides:  libpytalloc-util.cpython-36m-x86-64-linux-gnu.so.2()(64bit)

%description -n %{libpytalloc}
Utility functions for using talloc objects with Python 3.

%package -n %{libpytallocdevel}
Group: Development/Python
Summary: Utility functions for using talloc objects with Python 3
Requires: %{libpytalloc} = %{version}
Provides: pytalloc-util-devel = %{version}-%{release}

%description -n %{libpytallocdevel}
Utility functions for using talloc objects with Python 3.

%prep

%setup -qn talloc-2.3.4
%apply_patches

# replace removed time.clock()
sed -i -e "s,time\.clock(),time.perf_counter(),g" buildtools/wafsamba/samba_deps.py

# fix for python3.8
sed -i -e "/all_flags/s,\('--libs'\),\1\, '--embed'," third_party/waf/waflib/Tools/python.py

%build
%configure2_5x
%make_build

%install
%make_install

%files -n %{libtalloc}
%{_libdir}/libtalloc.so.%{tallocmajor}*

%files -n %{tallocdevel}
%{_libdir}/libtalloc.so
%{_includedir}/talloc.h
%{_libdir}/pkgconfig/talloc.pc
%{_mandir}/man3/talloc*

%files -n python3-talloc
%{python3_sitearch}/talloc.cpython*.so

%files -n %{libpytalloc}
%{_libdir}/libpytalloc-util.cpython*.so.%{pytallocmajor}*

%files -n %{libpytallocdevel}
%{_includedir}/pytalloc.h
%{_libdir}/libpytalloc-util.cpython*.so
%{_libdir}/pkgconfig/pytalloc-util.cpython-*.pc


%changelog
* Tue Aug 16 2022 tex - 3.6.3-1pclos2022
- new version 2.3.4 but named 3.6.3 for upgrade to
- avoid epoch

* Sat Mar 09 2019 tex 3.6.2-1pclos2019
- 2.1.16
